Help

Whole Web UK Sites
Powered by Google
Powered by AOL Shopping
We've redesigned AOL Help to make it easier to find the information you need.
Please visit the new AOL Help site at http://help.aol.co.uk.

What are the system requirements for AOL Pictures plug-ins

The minimum system requirements for the AOL Pictures Download and Screensaver plug-ins are:

  • Windows 2000 or Windows XP
  • Internet Explorer 5.5 or higher

Note: There is no support for Macintosh operating systems or Netscape browsers.